curl --request PUT \
--url https://api.wodup.dev/api/public/movements/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Stay upright"
}
'import requests
url = "https://api.wodup.dev/api/public/movements/{id}"
payload = { "description": "Stay upright" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: 'Stay upright'})
};
fetch('https://api.wodup.dev/api/public/movements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"complex_details": null,
"description": "Stay upright",
"has_calories": false,
"has_distance": false,
"has_duration": false,
"has_height": false,
"has_load": true,
"has_power": false,
"has_reps": true,
"id": "mv_fT0m3viH",
"name": "Back Squat",
"source": "wodup",
"video": {
"id": "dQw4w9WgXcQ",
"service": "youtube"
}
}{
"errors": {}
}{
"errors": {}
}{
"errors": {}
}Update movement
description or video_url. Any other changes will be ignored.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
Only used by platform integrations
ID of gym to execute on behalf of
"gym_123abc"
Path Parameters
ID of movement to update
"mv_123abc"
Body
PUT body for updating a movement
Instructions / description of movement
Does this movement involve calories. E.g. Row
Does this movement involve distance. E.g. Row
Does this movement involve duration. E.g. Row or Weighted Plank Hold
Does this movement involve height. E.g. Box Jumps
Does this movement involve load. E.g. Back Squat or Weighted Plank Hold
Does this movement involve power. E.g. Row
Does this movement involve reps. E.g. Push-Up or Back Squat
Name of movement
YouTube or Vimeo URL for this movement
Response
Update movement response
Movement object
Movements in this complex
Show child attributes
Show child attributes
Movement instructions / description
Does this movement involve calories. E.g. Row
Does this movement involve distance. E.g. Row
Does this movement involve duration. E.g. Row or Weighted Plank Hold
Does this movement involve height. E.g. Box Jumps
Does this movement involve load. E.g. Back Squat or Weighted Plank Hold
Does this movement involve power. E.g. Row
Does this movement involve reps. E.g. Push-Up or Back Squat
Movement ID
Movement name
Whether this movement is from the global WodUp library or a custom movement
wodup, custom Show child attributes
Show child attributes